CREATE TABLE fun_sensor_schedules (
    SCHEDULE_ID              NUMBER(18, 0) ,
    SCHEDULE_EXPRESSION      VARCHAR2(512)     NOT NULL,
    SOURCE_ID                NUMBER(18, 0) ,
    SOURCE_CODE              VARCHAR2(128) ,
    SCHEDULE_PARAMETER       BLOB          ,
    START_TIME               TIMESTAMP(6)  ,
    END_TIME                 TIMESTAMP(6)  ,
    FREQUENCY_CODE           VARCHAR2(120) ,
    SCHEDULED_TIME           VARCHAR2(800) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SCHEDULE_ID              NUMBER(18, 0) ,
    SCHEDULE_EXPRESSION      VARCHAR2(512)     NOT NULL,
    SOURCE_ID                NUMBER(18, 0) ,
    SOURCE_CODE              VARCHAR2(128) ,
    SCHEDULE_PARAMETER       BLOB          ,
    START_TIME               TIMESTAMP(6)  ,
    END_TIME                 TIMESTAMP(6)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    FREQUENCY_CODE           VARCHAR2(120) ,
    SCHEDULED_TIME           VARCHAR2(800) ,
    CONSTRAINT pk_fun_sensor_schedules PRIMARY KEY (SCHEDULE_ID, SCHEDULE_ID)
);
